#include<stdio.h>
#include<stdlib.h>
main(){
       int A,B,C,cj1,cj2,cj3,br1=0,br2=0,br3=0,z1=0,z2=0,z3=0,A1,B1,C1;
       double max1,max2,max3;
       scanf("%d%d%d",&A,&B,&C);
       A1=A;
       B1=B;
       C1=C;
       while(A>0){
                  cj1=A%10;
                  z1+=cj1;
                  br1++;
                  A=A/10;
                  }
       max1=z1/br1;
       while(B>0){
                  cj2=B%10;
                  z2+=cj2;
                  br2++;
                  B=B/10;
                  }
       max2=z2/br2;
       while(C>0){
                  cj3=C%10;
                  z3+=cj3;
                  br3++;
                  C=C/10;
                  }
       max3=z3/br3;
       if(max1>=max2&&max1>=max3&&max2>=max3) printf("%d%d%d",A1,B1,C1);
       else  if(max1>=max2&&max1>=max3&&max2<=max3)printf("%d%d%d",A1,C1,B1);
       else  if(max2>=max1&&max2>=max3&&max1>=max3) printf("%d%d%d",B1,A1,C1);
       else  if(max2>=max1&&max2>=max3&&max1<=max3) printf("%d%d%d",B1,C1,A1);
       else  if(max3>=max2&&max3>=max1&&max2>=max1) printf("%d%d%d",C1,B1,A1);
       else  if(max3>=max2&&max3>=max1&&max2<=max1) printf("%d%d%d",C1,A1,B1);
       system("pause");
       }